package com.ximai.mes.report.service;

import com.ximai.mes.report.request.FeedbackRequest;
import com.ximai.mes.report.response.FeedbackResponse;

import java.util.List;

public interface FeedbackService {
    List<FeedbackResponse> getList(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkOrder(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkshop(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkstation(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkunit(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByProcess(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByUser(FeedbackRequest feedbackRequest);
}
